Skip to content

Create 'Region'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
namestring, <= 255 charactersrequired
main_addressobject or null(Address)
custom_dimension_valuestring or null, <= 255 characters
custom_idstring or null, <= 128 characters
public_descriptionstring or null
sales_descriptionstring or null
organizationobject or null(Organization)
POST
/objects/structural/region/
curl -i -X POST \
  https://dev.api.pigello.io/objects/structural/region/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '{
    "name": "string",
    "main_address": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "custom_dimension_value": "string",
    "custom_id": "string",
    "public_description": "string",
    "sales_description": "string",
    "organization": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
  }'

Responses

Successful creation

Bodyapplication/json
namestring, <= 255 charactersrequired
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

main_addressobject or null(Address)
custom_dimension_valuestring or null, <= 255 characters
custom_idstring or null, <= 128 characters
tagsanyread-only
public_descriptionstring or null
customer_columnsanyread-only
sales_descriptionstring or null
organizationobject or null(Organization)
created_atstring, (date-time)read-only
Response
{ "name": "string", "main_address": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "custom_dimension_value": "string", "custom_id": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "tags": null, "public_description": "string", "customer_columns": null, "sales_description": "string", "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "created_at": "2019-08-24T14:15:22Z" }